Package oracle.jdbc.diagnostics

## Class Metrics.MetricReport

- java.lang.Object
- - oracle.jdbc.diagnostics.Metrics.MetricReport

Enclosing class:
  Metrics

    public static class Metrics.MetricReport
    extends java.lang.Object

POJO used to expose metrics basic details

### Constructor Summary

Constructors
`protected` `MetricReport​(int occurrences, long averageDuration)` Creates a new metric report.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getAverageDuration()` Gets metric average duration.
`int` `getOccurrenceCount()` Gets occurrence count.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetricReport

    protected MetricReport​(int occurrences,
                           long averageDuration)

Creates a new metric report.

Parameters:
  `occurrences` - count of metric occurrences
  `averageDuration` - average duration of this event in ms

### Method Detail

#### getOccurrenceCount

    public int getOccurrenceCount()

Gets occurrence count.

Returns:
  the count.

#### getAverageDuration

    public long getAverageDuration()

Gets metric average duration.

Returns:
  the average duration in ms.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`